cfg_if::cfg_if! {
    if #[cfg(feature = "ssr")] {
        use surrealdb::sql::Thing;
    }
}

use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone, PartialEq)]
pub struct Events {
    lifesaver: Option<u32>,
    hindernis: Option<u32>,
    popduiken: Option<u32>,
}

#[cfg(feature = "ssr")]
#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct ParticipantRecord {
    pub id: Thing,
    pub name: String,
    pub group: String,
    pub events: Option<Events>,
}

#[derive(Serialize, Deserialize, Debug, Clone, PartialEq)]
pub struct Participant {
    pub id: String,
    pub name: String,
    pub group: String,
    pub events: Option<Events>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct NewParticipant {
    pub name: String,
    pub group: String,
}
